import { 
  select,
  json,
  csv,
  geoPath, 
  geoNaturalEarth1, 
  zoom, 
  event, 
  scaleOrdinal,
  schemeSpectral
} from 'd3';


 function processData(data) {
        let jsonData = data[0];
        let csvData = data[1];
    }
    
    Promise.all([d3.json('https://gist.githubusercontent.com/dakoop/69c31771a040f8be86d73e7b31de6528/raw/daf94ffbe5ff7740cd92e4f5691a33b05a4ecc1b/ma-towns.json'),
                 d3.csv("http://example.com/path/to/file2.csv")])
           .then(processData);

const svg = select('svg');
const projection = geoNaturalEarth1();
const pathGenerator = geoPath().projection(projection);

const g = svg.append('g');

const colorLegendG = svg.append('g')
	.attr('transform', `translate(30,300)`);

g.append("path")
	.attr('class', 'sphere')
	.attr('d', pathGenerator({type: 'Sphere'}));

svg.call(zoom().on('zoom', () => {
	g.attr("transform", event.transform);
}));

const colorScale = scaleOrdinal();
const colorValue = d => d.properties.economy;

loadAndProcessData().then(countries => {
  colorScale
    .domain(countries.features.map(colorValue))
  	.domain(colorScale.domain().sort().reverse())
  	.range(schemeSpectral[colorScale.domain().length]);
  
  colorLegendG.call(colorLegend, {
    colorScale,
    circleRadius: 8,
  	spacing: 20,
  	textOffset: 12,
    backgroundWidth: 230
  });
  
  g.selectAll('path')
  	.data(countries.features)
  	.enter().append('path')
  		.attr('class', 'country')
  		.attr('d', pathGenerator)
  		.attr('fill', d => colorScale(colorValue(d)))
  	.append('title')
  		.text(d => d.properties.name + ': ' + colorValue(d));
});